define(['zepto', 'medtap', 'mui', 'mui.picker'], function($, medtap, mui) {
	var add = {
		userPicker: [],
		showUserPickerButton: [],
		userResult: [],
		dPicker: null,
		remindId: medtap.getRequest('remindId'),
		remind_typeData: [{
				text: '用药提醒',
				value: '1'
			},
			{
				text: '检查提醒',
				value: '2'
			},
			{
				text: '就诊提醒',
				value: '3'
			}
		],
		remind_frequency: [{
				text: '每天一次',
				value: '1'
			},
			{
				text: '每周一次',
				value: '2'
			},
			{
				text: '每两周一次',
				value: '3'
			},
			{
				text: '每三周一次',
				value: '4'
			},
			{
				text: '每四周一次',
				value: '5'
			}
		],
		remind_repeat: [{
			text: '重复提醒',
			value: '1'
		}, {
			text: '不重复提醒',
			value: '0'
		}],
		remind_status: [{
			text: '开启',
			value: '1'
		}, {
			text: '关闭',
			value: '0'
		}],
		checkItem_Data: [{
			'text': '血液检查',
			'value': '11'
		}, {
			'text': '肿瘤标志物检查',
			'value': '12'
		}, {
			'text': 'X线检查',
			'value': '13'
		}, {
			'text': 'B超',
			'value': '14'
		}, {
			'text': 'CT',
			'value': '15'
		}, {
			'text': '磁共振(MRI)',
			'value': '16'
		}, {
			'text': 'PET-CT',
			'value': '17'
		}, {
			'text': '内镜',
			'value': '18'
		}, {
			'text': '病理',
			'value': '19'
		}],
		medicalType_Data: [{
			'text': '门诊',
			'value': '1'
		}, {
			'text': '化疗',
			'value': '2'
		}, {
			'text': '放疗',
			'value': '3'
		}, {
			'text': '其他治疗',
			'value': '4'
		}],
		init: function() {
			add.initRemind_typeData();
			add.initRemind_frequency();
			add.initRemind_status();
			add.initRemind_repeat();
			add.initDate();
			add.initTime();
			if (!add.remindId) {
				$('.saveBtn').show();
			} else {

			}
			add.bindEve();
		},
		bindEve: function() {
			$('.saveBtn').unbind().bind('click', function() {
				var keyT = add.checkValue();
				if (keyT == true) {
					add.addNewRemind();
				}
			})
		},
		checkValue: function() {
			var flag = false;
			if (!$('#remind_status').val()) {
				medtap.toast({
					message: '请选择提醒状态'
				})
				flag = false;
			} else if (!$('#remind_type').val()) {
				medtap.toast({
					message: '请选择提醒类型'
				})
				flag = false;
			} else if ($('#remind_type').attr('sendkey') == 1) {
				if (!$('#drug_name').val()) {
					medtap.toast({
						message: '请输入药品名称'
					})
					flag = false;
				} else if (!$('#remind_repeat').val()) {
					medtap.toast({
						message: '请选择是否重复提醒'
					})
					flag = false;
				} else if ($('#remind_repeat').attr('sendkey') == 0) {
					if (!$('#remind_date').val()) {
						medtap.toast({
							message: '请选择提醒日期'
						})
						flag = false;
					} else if (!$('#remind_time').val()) {
						medtap.toast({
							message: '请选择提醒时间'
						})
						flag = false;
					} else if (!$('.remind_content').val()) {

						medtap.toast({
							message: '请输入提醒内容'
						})
						flag = false;
					} else {
						flag = true;
					}
				} else if ($('#remind_repeat').attr('sendkey') == 1) {
					if (!$('#remind_frequency').val()) {
						medtap.toast({
							message: '请选择提醒频率'
						})
						flag = false;
					} else if (!$('#remind_date').val()) {
						medtap.toast({
							message: '请选择提醒日期'
						})
						flag = false;
					} else if (!$('#remind_time').val()) {
						medtap.toast({
							message: '请选择提醒时间'
						})
						flag = false;
					} else if (!$('.remind_content').val()) {

						medtap.toast({
							message: '请输入提醒内容'
						})
						flag = false;
					} else {
						flag = true;
					}
				}
			} else if ($('#remind_type').attr('sendkey') == 2) {
				if (!$('#remind_checkItem').val()) {
					medtap.toast({
						message: '请选择检查项目'
					})
					flag = false;
				} else if (!$('#remind_repeat').val()) {
					medtap.toast({
						message: '请选择是否重复提醒'
					})
					flag = false;
				} else if ($('#remind_repeat').attr('sendkey') == 0) {
					if (!$('#remind_date').val()) {
						medtap.toast({
							message: '请选择提醒日期'
						})
						flag = false;
					} else if (!$('#remind_time').val()) {
						medtap.toast({
							message: '请选择提醒时间'
						})
						flag = false;
					} else if (!$('.remind_content').val()) {

						medtap.toast({
							message: '请输入提醒内容'
						})
						flag = false;
					} else {
						flag = true;
					}
				} else if ($('#remind_repeat').attr('sendkey') == 1) {
					if (!$('#remind_frequency').val()) {
						medtap.toast({
							message: '请选择提醒频率'
						})
						flag = false;
					} else if (!$('#remind_date').val()) {
						medtap.toast({
							message: '请选择提醒日期'
						})
						flag = false;
					} else if (!$('#remind_time').val()) {
						medtap.toast({
							message: '请选择提醒时间'
						})
						flag = false;
					} else if (!$('.remind_content').val()) {

						medtap.toast({
							message: '请输入提醒内容'
						})
						flag = false;
					} else {
						flag = true;
					}
				}
			} else if ($('#remind_type').attr('sendkey') == 3) {
				if (!$('#remind_medicalType').val()) {
					medtap.toast({
						message: '请选择就诊类型'
					})
					flag = false;
				} else if (!$('#remind_repeat').val()) {
					medtap.toast({
						message: '请选择是否重复提醒'
					})
					flag = false;
				} else if ($('#remind_repeat').attr('sendkey') == 0) {
					if (!$('#remind_date').val()) {
						medtap.toast({
							message: '请选择提醒日期'
						})
						flag = false;
					} else if (!$('#remind_time').val()) {
						medtap.toast({
							message: '请选择提醒时间'
						})
						flag = false;
					} else if (!$('.remind_content').val()) {

						medtap.toast({
							message: '请输入提醒内容'
						})
						flag = false;
					} else {
						flag = true;
					}
				} else if ($('#remind_repeat').attr('sendkey') == 1) {
					if (!$('#remind_frequency').val()) {
						medtap.toast({
							message: '请选择提醒频率'
						})
						flag = false;
					} else if (!$('#remind_date').val()) {
						medtap.toast({
							message: '请选择提醒日期'
						})
						flag = false;
					} else if (!$('#remind_time').val()) {
						medtap.toast({
							message: '请选择提醒时间'
						})
						flag = false;
					} else if (!$('.remind_content').val()) {

						medtap.toast({
							message: '请输入提醒内容'
						})
						flag = false;
					} else {
						flag = true;
					}
				}
			}
			return flag;
		},
		initRemind_typeData: function() {
			add.initPickers(1, 'remind_type_typeBox', 'remind_type', add.remind_typeData, 1);
		},
		initRemind_frequency: function() {
			add.initPickers(2, 'remind_frequency_typeBox', 'remind_frequency', add.remind_frequency, 1)
		},
		initRemind_status: function() {
			add.initPickers(3, 'remind_status_typeBox', 'remind_status', add.remind_status, 1)
		},
		initRemind_repeat: function() {
			add.initPickers(4, 'remind_repeat_typeBox', 'remind_repeat', add.remind_repeat, 1)
		},
		initCheckItem: function() {
			add.initPickers(5, 'remind_checkItem_typeBox', 'remind_checkItem', add.checkItem_Data, 1);
		},
		initMedicalType: function() {
			add.initPickers(6, 'remind_medicalType_typeBox', 'remind_medicalType', add.medicalType_Data, 1);
		},
		initDate: function() {
			$('#remind_date_typeBox').on('click', function() {
				var year = new Date().getFullYear();
				var month = new Date().getMonth();
				var day = new Date().getDate();
				add.dPicker = new mui.DtPicker({
					"type": "date",
					"beginYear": 1900,
					"endDate": year
				});
				add.dPicker.show(function(rs) {
					$('#remind_date').val(rs.text);
				});
			});
		},
		initTime: function() {
			$('#remind_time_typeBox').on('click', function() {
				var year = new Date().getFullYear();
				var month = new Date().getMonth();
				var day = new Date().getDate();
				add.dPicker = new mui.DtPicker({
					"type": "time",
					"beginYear": 1900
				});
				add.dPicker.show(function(rs) {
					$('#remind_time').val(rs.text);
				});
			});
		},
		addNewRemind: function() {
			var notifyType = '';
			if ($('#remind_repeat').attr('sendkey') == 0) {
				notifyType = '';
			} else {
				notifyType = $('#remind_type').attr('sendkey');
			}
			medtap.loading(1);
			medtap.submitAjax({
				url: 'https://testdevgw.medtap.cn/operation/notify/addNotify',
				type: 'POST',
				async: false,
				contentType: 'application/json',
				data: {
					repeatePeriod: $('#remind_frequency').attr('sendkey'), //提醒周期
					repeateFlag: $('#remind_repeat').attr('sendkey'), //是否重复
					notifyType: $('#remind_type').attr('sendkey'), //提醒类型
					startTime: $('#remind_time').val(), //提醒时间
					startDate: $('#remind_date').val(), //提醒日期
					content: $('.remind_content').val(), //提醒内容
					status: $('#remind_status').attr('sendkey'), //提醒状态，
					drugName: $('#drug_name').val() || '',
					checkItem: $('#remind_checkItem').attr('sendkey') || '',
					medicalType: $('#remind_medicalType').attr('sendkey') || ''
				},
				success: function(res) {
					medtap.loading(0);
					if (res.success == true) {
						medtap.toast({
							message: '保存成功',
							time: 1500
						});
						setTimeout(function() {
							window.location.replace('myRemind.html');
						}, 1500);
					} else {
						medtap.toast({
							message: res.resultDesc,
							time: 1500
						});
					}
				}
			})
		},
		upDateRemind: function() {
			medtap.loading(1);
			medtap.submitAjax({
				url: 'https://testdevgw.medtap.cn/operation/notify/updateNotify',
				type: 'POST',
				async: false,
				contentType: 'application/json',
				data: {
					repeatePeriod: '', //提醒周期
					repeateFlag: '', //是否重复
					notifyType: '', //提醒类型
					startTime: '', //提醒时间
					startDate: '', //提醒日期
					content: '', //提醒内容
					status: '', //提醒状态，
					id: add.remindId
				},
				success: function(res) {
					medtap.loading(0);
					if (res.success == true) {

					}
				}
			})
		},
		getRemindDetail: function() {
			medtap.loading(1);
			medtap.submitAjax({
				url: "https://testdevgw.medtap.cn/operation/notify/getNotify",
				type: "post",
				async: false,
				contentType: 'application/json',
				data: {
					id: add.remindId
				},
				success: function(res) {
					medtap.loading(0);
					if (res.success == true) {

					}
				}
			})
		},
		initPickers: function(index, el, tarEl, vals, layer) {
			var _this = this;
			_this.userPicker[index] = new mui.PopPicker({
				layer: layer
			});
			_this.userPicker[index].setData(vals);
			_this.showUserPickerButton[index] = document.getElementById(el);
			_this.userResult[index] = document.getElementById(tarEl);
			_this.showUserPickerButton[index].addEventListener('tap', function(event) {
				_this.userPicker[index].show(function(items) {
					if (layer == 1) {
						document.getElementById(tarEl).nodeName === 'INPUT' || document.getElementById(tarEl).nodeName ===
							'TEXTAREA' ?
							(_this.userResult[index].value = items[0]['text']) :
							(_this.userResult[index].innerHTML = items[0]['text']);
						_this.userResult[index].setAttribute("sendKey", items[0]['value']);
						if (tarEl == 'remind_repeat') {
							if (items[0]['value'] == 0) {
								$('#needFre').hide()
							} else if (items[0]['value'] == 1) {
								$('#needFre').show()
							}
						}
						if (tarEl == 'remind_type') {
							if (items[0]['value'] == 1) {
								$('#drug_box').show();
								$('#medicalType_box').hide();
								$('#checkItem_box').hide();
								//$('#drug_name').val() || '';
								$('#remind_checkItem').attr('sendkey', '');
								$('#remind_medicalType').attr('sendkey', '');
							} else if (items[0]['value'] == 2) {
								$('#drug_box').hide();
								$('#medicalType_box').hide();
								$('#checkItem_box').show();
								$('#drug_name').val('');
								//$('#remind_checkItem').attr('sendkey','');
								$('#remind_medicalType').attr('sendkey', '');
								add.initCheckItem();
							} else if (items[0]['value'] == 3) {
								$('#drug_box').hide();
								$('#checkItem_box').hide();
								$('#medicalType_box').show();
								$('#drug_name').val('');
								$('#remind_checkItem').attr('sendkey', '');
								//$('#remind_medicalType').attr('sendkey','');
								add.initMedicalType();
							}
						}
					} else if (layer == 2) {
						//只显示第二级的数据
						document.getElementById(tarEl).nodeName === 'INPUT' || document.getElementById(tarEl).nodeName ===
							'TEXTAREA' ?
							(_this.userResult[index].value = items[0]['text'] + items[1]['text']) :
							(_this.userResult[index].innerHTML = items[0]['text'] + ' ' + items[1]['text']);
						_this.userResult[index].setAttribute("sendKey", items[0]['value']);
						if (tarEl == 'disease') {
							document.getElementById(tarEl).setAttribute('diseaseid', items[1]['value']);
							_this.userResult[index].setAttribute("sendKey", items[1]['value']);
						} else if (tarEl == 'location') {
							document.getElementById(tarEl).setAttribute('locationid', items[1]['value']);
							_this.userResult[index].setAttribute("sendKey", items[1]['value']);
						} else if (tarEl == 'pathology') {
							document.getElementById(tarEl).setAttribute('pathologyId', items[1]['value']);
							if (items[1].showText != '') {
								_this.userResult[index].innerHTML = items[1]['showText'];
								_this.userResult[index].value = items[1]['showText'];
							} else {
								_this.userResult[index].innerHTML = items[0]['text'];
								_this.userResult[index].value = items[0]['text']
							}
							_this.userResult[index].setAttribute("sendKey", items[1]['value']);
						}
					} else if (layer == 3) {
						document.getElementById(tarEl).nodeName === 'INPUT' || document.getElementById(tarEl).nodeName ===
							'TEXTAREA' ?
							(_this.userResult[index].value = items[0]['text'] + items[1]['text'] + items[2]['text']) :
							(_this.userResult[index].innerHTML = items[0]['text'] + ' ' + items[1]['text'] + '' + items[2]['text']);
						_this.userResult[index].setAttribute("sendKey", items[0]['value']);
					}

				});
			}, false);
		}
	}
	add.init();
})
